package com.sunzee.model.message;

/**
 * @author whw
 * @time 2019/4/17
 * @Description 视频下载完成
 */
public class DownLoadMessageEvent {

    public int getScreenType() {
        return screenType;
    }

    public void setScreenType(int screenType) {
        this.screenType = screenType;
    }

    private int screenType;

    public DownLoadMessageEvent(Type type, Object data, int screenType) {
        this.type = type;
        this.data = data;
        this.screenType=screenType;
    }

    public enum Type {
        success,
        failed,
        downloadAll,//全部下载完成
        downloadApkSuccess,
        downloadApkFailed,
        downloadApkProcess
    }

    public Type getType() {
        return type;
    }

    public void setType(Type type) {
        this.type = type;
    }

    public Object getData() {
        return data;
    }

    public void setData(Object data) {
        this.data = data;
    }

    private Type type;

    private Object data;



}
